version: "{build}"

clone_folder: c:\gopath\src\github.com\mholt\archiver

environment:
  GOPATH: c:\gopath
  CGO_ENABLED: 0

stack: go 1.11

install:
  - go get ./...
  - go get golang.org/x/lint/golint
  - go get github.com/gordonklaus/ineffassign
  - set PATH=%GOPATH%\bin;%PATH%

build: off

before_test:
  - go version
  - go env

test_script:
  - go vet ./...
  - go test ./...
  - ineffassign .

after_test:
  - golint ./...

deploy: off
